import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudbrokerStoragePolicyGetResultModel(
    _base.BaseAPIResultModel,
    _nested.StoragePolicyAPIResultNM,
):
    pass


class CloudbrokerStoragePolicyGetProtocol(
    _base.BaseGetAPIFunctionProtocol,
):
    def get(
        self,
        *,
        storage_policy_id: int,
    ) -> CloudbrokerStoragePolicyGetResultModel:
        ...
